
.product-box{
    position: relative;
    padding: 12px 18px;
    transition: all 0.23s;
    margin-bottom: 30px;
    .category-wrap{
        display: flex;
        justify-content: space-between;
        align-items: center;
        .category-type{
            font-size: 12px;
            font-family: $lato-font;
            color: #a6a6a6;
            text-transform: uppercase;
        }
        .sale{
            font-size: 14px;
            font-family: $lato-font;
            color: white;
            background-color: #ffb136;
            padding: 5px 10px;
            border-radius: 2px;
        }
    }
    .thumb{
        position: relative;
        a{
            display: flex;
            align-items: center;
            justify-content: center;
            overflow: hidden;
            margin-bottom: 10px;
            height: 200px;
            img{
                max-height: 100%;
                max-width: 100%;
            }
            @media (max-width: 480px) {
                height: auto;
            }
        }
        .btn-wish{
            position: absolute;
            top: 5px;
            right: 0;
            width: 36px;
            height: 36px;
            border: solid 1px #eeeef1;
            display: flex;
            align-items: center;
            justify-content: center;
            outline: none;
            box-shadow: none;
            padding: 0;
            visibility: hidden;
            opacity: 0;
        }
        .active{
            svg{
                path{
                    stroke: $main-color;
                }
            }
            border-color: $main-color;
        }
        .action{
            text-align: center;
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            visibility: hidden;
            opacity: 0;
            .btn{
                white-space: nowrap;
                outline: none;
                box-shadow: none;
                border: none;
                height: 36px;
                display: inline-flex;
                align-items: center;
                justify-content: center;
                color: white;
                font-size: 14px;
                font-weight: 500;
                font-family: 'Roboto', sans-serif;
                margin-bottom: 5px;
                width: 100%;
            }
            .btn-viewmore{
                background-color: rgba(0, 0, 0, 0.5);
            }
            .btn-addcart{
                background-color: $main-color;
                i{
                    margin-right: 5px;
                }
            }
        }
    }
    .name{
        margin-bottom: 30px;
        a{
            display: block;
            font-weight: 600;
            font-size: 16px;
            line-height: 25px;
            height: 50px;
            overflow: hidden;
            text-overflow: ellipsis;
            color: $text-color;
            text-decoration: none;
            transition: all 0.23s;
            &:hover{
                color: $main-color;
                transition: all 0.23s;
            }
        }
    }
    .bottom-wrap{
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-top: 10px;
        padding-top: 15px;
        border-top: solid 1px #e5e5e5;
        .price{
            display: flex;
            font-family: 'Roboto', sans-serif;
            align-items: flex-end;
            margin-right: 10px;
            .price-new{
                font-size: 16px;
                color: $main-color;
                line-height: 24px;
                margin-right: 10px;
            }
            .price-old{
                font-size: 12px;
                color: #adadad;
                line-height: 21px;
                text-decoration: line-through;
            }
        }
        .rated{
            ul{
                margin: 0;
                padding: 0;
                list-style: none;
                display: inline-flex;
                li{
                    i{
                        color: #ffb136;
                        font-size: 14px;
                        line-height: 25px;
                    }
                }
            }
        }
    }
    &:hover{
        -webkit-box-shadow: 0px 0px 15px 0px rgba(236,236,236,1);
        -moz-box-shadow: 0px 0px 15px 0px rgba(236,236,236,1);
        box-shadow: 0px 0px 15px 0px rgba(236,236,236,1);
        transition: all 0.23s;
        .thumb{
            .btn-wish{
                opacity: 1;
                visibility: visible;
                transition: all 0.23s;
            }
            .action{
                opacity: 1;
                visibility: visible;
                transition: all 0.23s;
            }
        }
    }
}

.block-product-page{
    padding: 30px 0;
    
    .block-list-product{
        .heading{
            margin-bottom: 30px;
            padding-bottom: 18px;
            border-bottom: solid 1px #e5e5e5;
            h1{
                font-family: $lato-font;
                color: $text-color;
                font-size: 18px;
                font-weight: 600;
                margin: 0;
            }
        }
        .list-product{
             
        }
        .block-pagination{
            display: flex;
            justify-content: space-between;
            align-items: center;
            .pagination{
                margin-bottom: 0;
                li{
                    &:first-child{
                        a{
                            margin-right: 15px;
                        }
                    }
                    &:first-child{
                        a{
                            span{
                                background-color: transparent;
                                height: auto;
                                width: auto;
                            }
                        }
                    }
                    a{
                        background-color: white;
                        color: $text-color;
                        border-radius: 0;
                        width: 40px;
                        height: 40px;
                        border: solid 1px #ebebeb;
                        padding: 0;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                    }
                    .text{
                        background-color: white;
                        color: $text-color;
                        border-radius: 0;
                        width: auto;
                        height: 40px;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                    }
                    .next{
                        border: none;
                    }
                }
            }
        }
    }
}
.block-sidebar{
    .widget-sidebar{
        margin-bottom: 30px;
        .widget-title{
            padding: 15px 20px;
            background-color: $main-color;
            color: white;
            font-size: 14px;
            font-family: $lato-font;
            font-weight: 600;
            text-transform: uppercase;
            margin: 0;
        }
        .widget-content{
            border: solid 1px $border-color;
            padding: 0 20px;
            .menu-side{
                ul{
                    margin: 0;
                    padding: 0;
                    list-style: none;
                    li{
                        position: relative;
                        &::before{
                            content: "\f105";
                            font-family: 'Font Awesome 5 Free';
                            font-weight: 600;
                            position: absolute;
                            top: 0;
                            right: 20px;
                            bottom: 0;
                            display: flex;
                            align-items: center;
                            color: $text-default;
                            transition: all 0.23s;
                        }
                        a{
                            display: block;
                            padding: 9px 0;
                            text-decoration: none;
                            color: $text-normal;
                            font-weight: 400;
                            font-size: 14px;
                            border-bottom: solid 1px $border-color;
                            transition: all 0.25s;
                            @media (max-width: 1200px) {
                                padding: 6.5px 0;
                            }
                        }
                        .custom-check {
                            display: block;
                            position: relative;
                            padding-left: 30px;
                            margin: 10px 0;
                            color: $text-normal;
                            font-style: normal;
                            font-weight: normal;
                            font-size: 14px;
                            line-height: 17px;/* identical to box height */
                            cursor: pointer;
                            -webkit-user-select: none;
                            -moz-user-select: none;
                            -ms-user-select: none;
                            user-select: none;
                        
                            input {
                                position: absolute;
                                opacity: 0;
                                cursor: pointer;
                        
                                &:checked~.checkmark {
                                    background-color: $main-color;
                        
                                    &:after {
                                        // background: #B9256A;
                                    }
                                }
                        
                                &:checked~.checkmark:after {
                                    display: block;
                                }
                                &:checked~span{
                                    border-color: $main-color;
                                    color: white;
                                }
                            }
                        
                            /* Create a custom radio button */
                            .checkmark {
                                position: absolute;
                                top: 0;
                                left: 1px;
                                height: 16px;
                                width: 16px;
                                background-color: transparent;
                                border-radius: 2px;
                                border: 1px solid #818181;
                                box-sizing: border-box;
                                box-shadow: 0px 1px 0px rgba(22, 29, 37, 0.05);
                        
                                &:after {
                                    font-family: FontAwesome;
                                    content: "\f00c";
                                    position: absolute;
                                    display: none;
                                    top: 17%;
                                    left: 50%;
                                    transform: translate(-50%, -50%);
                                    width: 9px;
                                    height: 7px;
                                    font-size: 10px;
                                    background: transparent;
                                }
                            }
                        
                            &:hover input~.checkmark {
                                // background-color: transparent;
                            }
                        }
                        &:last-child{
                            a{
                                border-bottom: none;
                            }
                        }
                        &:hover{
                            a{
                                color: $main-color;
                                transition: all 0.23s;
                            }
                            &::before{
                                color: $main-color;
                                transition: all 0.23s;
                            }
                        }
                    }
                }
            }
            .menu-none-arrow{
                ul{
                    li{
                        &::before{
                            display: none;
                        }
                        a{
                            border: none;
                        }
                    }
                }
            }
            .change-price{
                padding: 30px 0;
                #slider-range{
                    height: 4px;
                    background-color: $border-color;
                    border: none;
                    .ui-slider-handle{
                        top: -2px;
                        background: $main-color;
                        border: none;
                        box-sizing: border-box;
                        width: 8px;
                        height: 8px;
                        margin: 0;
                        border-radius: 0;
                        outline: none;
                    }
                    .ui-widget-header{
                        background-color: $main-color;
                        border-radius: 0;
                    }
                }
                .range-slider{
                    display: inline-flex;
                    align-items: center;
                    label{
                        font-family: $lato-font;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: 17px;
                        color: $text-color;
                        margin-bottom: 0;
                        margin-right: 3px;
                    }
                    #amount{
                        padding: 0;
                        border: none;
                        height: auto;
                        font-family: $lato-font;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: 17px;
                        color: $text-color;
                    }
                }
                .form-change{
                    margin-top: 25px;
                    display: flex;
                    justify-content: space-between;
                    .btn-filter{
                        width: 38px;
                        height: 38px;
                        padding: 0;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        outline: none;
                        box-shadow: none;
                        background-color: $main-color;
                        color: white;
                        border-radius: 0;
                    }
                }
            }
            .list-sidenews{
                padding-top: 30px;
                .news-item{
                    font-family: $lato-font;
                    display: flex;
                    align-items: center;
                    width: 100%;
                    margin-bottom: 15px;
                    padding-bottom: 15px;
                    border-bottom: dashed 1px $border-color;
                    &:last-child{
                        border: none;
                    }
                    .news-thumb{
                        
                        margin-right: 10px;
                        img{
                            max-width: 79px;
                        }
                    }
                    .news-content{
                        .name{
                            a{
                                padding: 0;
                                text-decoration: none;
                                color: $text-color;
                                font-weight: 500;
                                font-size: 13px;
                                transition: all 0.23s;
                                &:hover{
                                    color: $main-color;
                                    transition: all 0.23s;
                                }
                            }
                        }
                        .meta{
                            display: flex;
                            justify-content: space-between;
                            color: $text-default;
                            font-size: 11px;
    
                        }
                    }
                }
            }
            
        }
        
    }
}
.block-banner-footer{
    margin: 50px 0;
    .swiper-pagination-bullet{
        background-color: #d2c4c0;
    }
    .swiper-pagination-bullet-active{
        background-color: white;
    }
    .banner-item{
        position: relative;
        .thumb{
            overflow: hidden;
            img{
                width: auto;
                height: 100%;
            }
        }
        .col-left{
            position: absolute;
            top: 0;
            right: 0;
            bottom: 0;
            width: 50%;
            display: flex;
            align-items: center;
            justify-content: center;
            .content{
                
                text-align: center;
                h4{
                    text-transform: uppercase;
                    font-family: $lato-font;
                    color: $main-color;
                    font-weight: 600;
                    margin-bottom: 7px;
                }
                p{
                    font-family: $lato-font;
                    color: $text-color;
                    font-weight: 600;
                    margin-bottom: 5px;
                }
                a{
                    color: $text-color;
                    text-decoration: underline;
                    transition: all 0.23s;
                    &:hover{
                        color: $main-color;
                        transition: all 0.23s;
                    }
                }
            }
        } 
    }
}